Subject: Re: linux-next: Tree for January 21

From: Tilman Schmidt <[email-masked]>
Date: Fri, 22 Jan 2010 00:00:41 +0100

Am 21.01.2010 22:13 schrieb Andrew Morton:
> On Thu, 21 Jan 2010 16:57:13 +1100
> Stephen Rothwell <[email-masked]> wrote:
> 
>> I have created today's linux-next tree at
>> git://git.kernel.org/pub/scm/linux/kernel/git/next/linux-next.git
> 
> It includes this screwed up commit:
> 
> :commit e303d9eadc64907535a0a104afa5871d2b83275e
> :Author:     Tilman Schmidt <[email-masked]>
> :AuthorDate: Thu Jan 14 23:18:41 2010 +0100
> :Commit:     Jesse Barnes <[email-masked]>
> :CommitDate: Fri Jan 15 10:08:07 2010 -0800
> :
> :    PCI/ISDN: push deprecated pci_find_device() function to last user (isdn)
> :    
> :    The ISDN4Linux HiSax driver family contains the last remaining users of
> :    the deprecated pci_find_device() function. This patch creates a private
> :    copy of that function in HiSax, and removes the now unused global
> :    function together with its controlling configuration option,
> :    CONFIG_PCI_LEGACY.
> :    
> :    Signed-off-by: Tilman Schmidt <[email-masked]>
> :    Signed-off-by: Jesse Barnes <[email-masked]>
> 
> It adds a bunch of files which are compile-time generated:
> 
> include/linux/autoconf.h
> include/linux/bounds.h
> include/linux/compile.h
> include/linux/utsrelease.h

That's not the patch I submitted. Mine did not add any new files.

What's more, I've since submitted a new version, fixing the reported
build failure with CONFIG_PCI=n:

Subject: [PATCH/v2] pci: push deprecated pci_find_device() function to last user
Message-Id: <[email-masked]>
Date: 	Mon, 18 Jan 2010 17:24:10 +0100 (CET)

So please drop the patch above, and include the latter one instead.

Thanks,
Tilman

-- 
Tilman Schmidt                    E-Mail: [email-masked]
Bonn, Germany
Diese Nachricht besteht zu 100% aus wiederverwerteten Bits.
Ungeöffnet mindestens haltbar bis: (siehe Rückseite)